/**
 *
 * @param state
 * @param options
 * @example
 * ```ts
 *  // when using `options.loggerType`, pass a string representing logging functions under `console`
 *  useLog(state,{
 *    loggerType:"table"
 *  })
 *  // when using `options.logger`,pass a `function` wrapping the native logging api
 *  useLog(state,{
 *    logger:(v:any)=>console.log("%c%s","color:red",v)
 *  })
 * ```
 */
export declare const useLog: <T extends unknown>(state: T, label?: string | undefined, options?: import("./types").CommonOptions | (import("./types").CommonOptions & import("./types").WithLogger) | (import("./types").CommonOptions & import("./types").WithLoggerType) | undefined) => void;
