export declare type LoggerType = 'debug' | 'error' | 'info' | 'log' | 'warn' | 'dir' | 'dirxml' | 'table' | 'trace' | 'group' | 'groupCollapsed' | 'groupEnd' | 'clear' | 'count' | 'countReset' | 'assert' | 'profile' | 'profileEnd' | 'time' | 'timeLog' | 'timeEnd' | 'timeStamp';
export declare type WithLoggerType = {
    loggerType?: LoggerType;
    previousStateLoggerType?: LoggerType;
};
export declare type WithLogger = {
    logger?: (value: any, label?: string) => void;
    previousStateLogger?: (value: any, label?: string) => void;
};
export declare type CommonOptions = {
    logPreviousValue?: boolean;
    isGrouped?: boolean;
};
export declare type Options = CommonOptions & (WithLogger | WithLoggerType | {});
